package com.chelvc.cloud.vehicle.client;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

import com.chelvc.cloud.vehicle.client.dto.GoodsAssessDto;
import com.chelvc.cloud.vehicle.client.param.AssessModifyParam;
import com.chelvc.cloud.vehicle.client.param.AssessQueryParam;
import com.chelvc.cloud.vehicle.client.param.AssessRecoverModifyParam;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author Woody
 * @date 2024/4/21
 */
@FeignClient("vehicle")
public interface AssessClient {
    @PostMapping("/assess/add")
    Long add(@RequestBody AssessModifyParam param);

    @GetMapping("/assess/query")
    List<GoodsAssessDto> query(@SpringQueryMap AssessQueryParam param);

    @PostMapping("/assess/addAssessRecover")
    Long addAssessRecover(@RequestBody AssessRecoverModifyParam param);

    @PostMapping("/assess/computeAvgScore")
    void computeAvgScore();

    @GetMapping("/assess/getGoodsScore")
    Map<String, BigDecimal> getGoodsScore(@RequestParam("goodsId") Long goodsId);
}
