package com.chelvc.cloud.vehicle.client;

import com.chelvc.cloud.vehicle.client.dto.RankAwardConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditRankAwardConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryRankAwardConfigParam;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("vehicle")
public interface RankAwardConfigClient {

    @PostMapping("/rankAwardConfig/add")
    void add(@RequestBody AddRankAwardConfigParams params);

    @PostMapping("/rankAwardConfig/edit")
    void edit(@RequestBody EditRankAwardConfigParams params);

    @DeleteMapping("/rankAwardConfig")
    void delete(@RequestParam("id") Long id, @RequestParam("userId") Long userId);

    @GetMapping("/rankAwardConfig/queryPageList")
    Pagination<RankAwardConfigDTO> queryPageList(@SpringQueryMap QueryRankAwardConfigParam param);

}
