package com.chelvc.cloud.vehicle.client.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 分类信息
 *
 * @author Woody
 * @date 2023/5/2
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CategoryDTO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 父级id
     */
    private Long parentId;


    /**
     * 分类名称
     */
    private String name;

    /**
     * 分类图标
     */
    private String icon;

    /**
     * 排序数字
     */
    private Integer sort;

    /**
     * 是否启用
     */
    private Boolean enabled;

    /**
     * 是否推荐
     */
    private Boolean recommend;

    /**
     * 创建用户
     */
    private Long creator;

    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 子集分类
     */
    private List<CategoryDTO> children;

    /**
     * 分类类型 分类类型 0-平台的分类 1-商家的分类
     */
    private String type;
    /**
     * 商家ID
     */
    private Long merchantId;
    /**
     * 针对商家分类id，该分类来源于平台得分类
     */
    private Long sourceId;
    /**
     * 商家名称
     */
    private String merchantName;
}
