package com.chelvc.cloud.vehicle.client.dto;

import com.chelvc.framework.common.model.File;
import lombok.*;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author valley
 * @date 2024/02/03 15:46
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
public class GoodsAssessDto implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 评价内容
     */
    private String remark;

    /**
     * 评价分数
     */
    private BigDecimal score;

    /**
     * 评价图片
     */
    private List<File> images;

    /**
     * 点击数
     */
    private Long hits;
    /**
     * 评价人id
     */
    private Long creator;

    /**
     * 评价人昵称
     */
    private String creatorNickName;

    /**
     * 评价人头像
     */
    private String creatorAvatar;

    /**
     * 评价时间
     */
    private Date createTime;

    /**
     * 是否回复 0 否 1 是
     */
    private Integer isRecover;

    /**
     * 评价时间格式化
     */
    private String creatorTimeFormat;

    private AssessRecoverDto assessRecoverDto;
}
