package com.chelvc.cloud.vehicle.client.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 新增商品评价参数
 */
@Data
public class AddGoodsCommentParam implements Serializable {

    private static final long serialVersionUID = -3917954006275341904L;

    /**
     * 评价打分
     */
    private Double score;

    /**
     * 评价内容
     */
    private String content;

    /**
     * 上级评论标识
     */
    private Long parentId;

    /**
     * 附件列表(,隔开)
     */
    private String attachments;

    /**
     * 订单id
     */
    @NotNull(message = "订单信息不能为空")
    private Long orderId;

    /**
     * 商品id
     */
    @NotNull(message = "商品信息不能为空")
    private Long goodsId;

    /**
     * 商家id
     */
    @NotNull(message = "商家信息不能为空")
    private Long merchantId;

}
