package com.chelvc.cloud.vehicle.client.param;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author valley
 * @date 2024/02/03 16:40
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AssessModifyParam  implements Serializable {

    /**
     * 店铺id
     */
    @NotEmpty
    @Min(value = 0, message = "店铺id必须大于0")
    private Long merchantId;

    /**
     * 商品id
     */
    @NotEmpty
    @Min(value = 0, message = "商品id必须大于0")
    private Long goodsId;
    /**
     * 订单id
     */
    @NotEmpty
    @Min(value = 0, message = "订单id必须大于0")
    private Long orderId;

    /**
     * 评价内容
     */
    @Max(value = 200, message = "评价内容不能超过200字")
    private String remark;

    /**
     * 评价分数
     */
    @NotEmpty
    private BigDecimal score;

    /**
     * 评价图片
     */
    private List<File> images;


}
