package com.chelvc.cloud.vehicle.client.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 意见反馈数据模型
 *
 * @author liude
 * @data 2023/1/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class FeedBackPagingParam implements Serializable {
    /**
     * 标题
     */
    @Size(max = 255, message = "标题长度不能大于255")
    private String title;

    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;

    /**
     * 类型
     */
    private String type;

    /**
     * 状态  1 - 待处理 2- 已处理 3- 已完结
     */
    private String status;
    /**
     * 渠道类型  0- 用户端 1-商家端
     */
    private String channel;
}
