package com.chelvc.cloud.vehicle.client.param;
import com.chelvc.framework.common.model.Paging;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 订单信息
 *
 * @author liude
 * @date 2023/11/27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class OrderPagingParam implements Serializable {
    /**
     * 分页信息
     */
    @NotNull(message = "分页不能为空")
    private Paging paging;
    /**
     * 订单状态
     */
    private Integer status;
    /**
     * 订单状态集合
     */
    private List<Integer> statuses;
    /**
     * 订单号
     */
//    @Size(min = 4, message = "订单号长度不能小于4")
    private String orderSn;
}
