package com.chelvc.cloud.vehicle.server.controller;

import com.chelvc.cloud.vehicle.client.dto.ProfitRatioConfigDTO;
import com.chelvc.cloud.vehicle.client.param.AddProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.EditProfitRatioConfigParams;
import com.chelvc.cloud.vehicle.client.param.QueryProfitRatioConfigParam;
import com.chelvc.cloud.vehicle.server.service.ProfitRatioConfigService;
import com.chelvc.framework.common.model.Pagination;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class ProfitRatioConfigController {

    private final ProfitRatioConfigService profitRatioConfigService;

    @PostMapping("/profitRatioConfig/add")
    public void add(@RequestBody AddProfitRatioConfigParams params) {
        profitRatioConfigService.add(params);
    }

    @PostMapping("/profitRatioConfig/edit")
    public void edit(@RequestBody EditProfitRatioConfigParams params) {
        profitRatioConfigService.edit(params);
    }

    @DeleteMapping("/profitRatioConfig")
    public void delete(@RequestParam("id") Long id, @RequestParam("userId") Long userId) {
        profitRatioConfigService.delete(id, userId);
    }

    @GetMapping("/profitRatioConfig/queryPageList")
    public Pagination<ProfitRatioConfigDTO> queryPageList(QueryProfitRatioConfigParam param) {
        return profitRatioConfigService.queryPageList(param);
    }
}
