package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.chelvc.framework.database.entity.BasicEntity;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 排行榜奖励配置
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class RankAwardConfig extends BasicEntity<Long> {

    private static final long serialVersionUID = -4564762089152632410L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 排名名称
     */
    private String name;

    /**
     * 排名
     */
    private int rank;

    /**
     * 类型：0-年；1-季；2-月；3-周；4-日 暂时默认为2
     */
    private Integer type;

    /**
     * 平台类型：1-用户；2-商家 暂时默认为2
     */
    private Integer platformType;

    /**
     * 奖金比例
     */
    private Integer ratio;

    /**
     * 平台抽佣比例
     */
    private Integer commissionRatio;

    /**
     * 区域等级：0-国家；1-省；2-市；3-区
     */
    private Integer regionLevel;

    /**
     * 状态：0-正常；1-停用
     */
    private Integer status;
}
