package com.chelvc.cloud.vehicle.server.task;

import com.chelvc.cloud.vehicle.server.service.RankAwardRecordService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 排行榜奖励发送
 */
@Slf4j
@Component
@EnableScheduling //开启定时任务
public class RankAwardTask {

    @Autowired
    RankAwardRecordService rankAwardRecordService;

    /**
     * 市月榜
     */
    @Scheduled(cron = "0 10 5 1 * ?") //每月第一天凌晨5点10
    public void cityAwardRank(){
        log.info("触发城市商家月排行榜奖励定时任务==============");
        rankAwardRecordService.cityAwardRank();
    }

    /**
     * 区月榜
     */
    @Scheduled(cron = "0 0 5 1 * ?") //每月第一天凌晨5点
    public void districtAwardRank(){
        log.info("触发区域商家月排行榜奖励定时任务==============");
        rankAwardRecordService.districtAwardRank();
    }
}
